Package org.codehaus.groovy.ast.expr

## Class MapExpression

- java.lang.Object
- - org.codehaus.groovy.ast.ASTNode
  - - org.codehaus.groovy.ast.AnnotatedNode
    - - org.codehaus.groovy.ast.expr.Expression
      - - org.codehaus.groovy.ast.expr.MapExpression

- Direct Known Subclasses:
    `NamedArgumentListExpression`

      public class MapExpression
      extends Expression

  Represents a map expression [1 : 2, "a" : "b", x : y] which creates a mutable Map

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MapExpression()` |
    `MapExpression​(List<MapEntryExpression> mapEntryExpressions)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addMapEntryExpression​(Expression keyExpression, Expression valueExpression)` |
    `void` | `addMapEntryExpression​(MapEntryExpression expression)` |
    `List<MapEntryExpression>` | `getMapEntryExpressions()` |
    `String` | `getText()` |
    `boolean` | `isDynamic()` |
    `String` | `toString()` |
    `Expression` | `transformExpression​(ExpressionTransformer transformer)` | Return a copy of the expression calling the transformer on any nested expressions
    `void` | `visit​(GroovyCodeVisitor visitor)` |

    - ### Methods inherited from class org.codehaus.groovy.ast.expr.Expression

      `getType, setType, transformExpressions, transformExpressions`

    - ### Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode

      `addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`

    - ### Methods inherited from class org.codehaus.groovy.ast.ASTNode

      `copyNodeMetaData, equals, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getNodeMetaData, getNodeMetaData, hashCode, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MapExpression

          public MapExpression()

    - #### MapExpression

          public MapExpression​(List<MapEntryExpression> mapEntryExpressions)

  - ### Method Detail

    - #### addMapEntryExpression

          public void addMapEntryExpression​(MapEntryExpression expression)

    - #### getMapEntryExpressions

          public List<MapEntryExpression> getMapEntryExpressions()

    - #### visit

          public void visit​(GroovyCodeVisitor visitor)

      Overrides:
        `visit` in class `ASTNode`

    - #### isDynamic

          public boolean isDynamic()

    - #### transformExpression

          public Expression transformExpression​(ExpressionTransformer transformer)

      Description copied from class: `Expression`
      Return a copy of the expression calling the transformer on any nested expressions
      Specified by:
        `transformExpression` in class `Expression`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getText

          public String getText()

      Overrides:
        `getText` in class `ASTNode`

    - #### addMapEntryExpression

          public void addMapEntryExpression​(Expression keyExpression,
                                            Expression valueExpression)